package com.exec;

import org.springframework.context.support.GenericXmlApplicationContext;

import com.service.UserService;

public class Main {

	public static void main(String[] args) throws InterruptedException {
		GenericXmlApplicationContext context = new GenericXmlApplicationContext();
		context.setValidating(false);
		context.load("classpath:applicationContext.xml");
		context.refresh();
		UserService userService = context.getBean(UserService.class);
		while (true) {
			System.out.println(userService.findUser());
			Thread.sleep(10000);
		}
	}
}
